<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:16 CET 2019 -->
<title>C-Index</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">X</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#checkIfFileExists-java.lang.String-">checkIfFileExists(String)</a></span> - Method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Check if file of given filePath exists.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/RefinementHandler.html#compareResources-org.eclipse.emf.ecore.resource.ResourceSet-org.eclipse.emf.ecore.resource.ResourceSet-">compareResources(ResourceSet, ResourceSet)</a></span> - Method in class refinement.handlers.<a href="../refinement/handlers/RefinementHandler.html" title="class in refinement.handlers">RefinementHandler</a></dt>
<dd>
<div class="block">Execute EMF compare between latest resource set and extracted resource set.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/SaveHandler.html#compareResources-org.eclipse.emf.ecore.resource.ResourceSet-org.eclipse.emf.ecore.resource.ResourceSet-">compareResources(ResourceSet, ResourceSet)</a></span> - Method in class refinement.handlers.<a href="../refinement/handlers/SaveHandler.html" title="class in refinement.handlers">SaveHandler</a></dt>
<dd>
<div class="block">Execute EMF compare between latest resource set and extracted resource set.</div>
</dd>
<dt><a href="../factories/ComponentAnalysis.html" title="interface in factories"><span class="typeNameLink">ComponentAnalysis</span></a> - Interface in <a href="../factories/package-summary.html">factories</a></dt>
<dd>
<div class="block">Interface for static code analysis.</div>
</dd>
<dt><a href="../factories/ComponentAnalysisFactory.html" title="class in factories"><span class="typeNameLink">ComponentAnalysisFactory</span></a> - Class in <a href="../factories/package-summary.html">factories</a></dt>
<dd>
<div class="block">Factory for instancing static code analysis implementation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../factories/ComponentAnalysisFactory.html#ComponentAnalysisFactory--">ComponentAnalysisFactory()</a></span> - Constructor for class factories.<a href="../factories/ComponentAnalysisFactory.html" title="class in factories">ComponentAnalysisFactory</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/handlers/ComponentHandler.html" title="class in refinement.handlers"><span class="typeNameLink">ComponentHandler</span></a> - Class in <a href="../refinement/handlers/package-summary.html">refinement.handlers</a></dt>
<dd>
<div class="block">Handler that adds information from static code analysis to PCM repository file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/ComponentHandler.html#ComponentHandler--">ComponentHandler()</a></span> - Constructor for class refinement.handlers.<a href="../refinement/handlers/ComponentHandler.html" title="class in refinement.handlers">ComponentHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../utils/LoggingUtils.html#componentSucess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">componentSucess(ExecutionEvent, EList&lt;String&gt;)</a></span> - Static method in class utils.<a href="../utils/LoggingUtils.html" title="class in utils">LoggingUtils</a></dt>
<dd>
<div class="block">Success message for ComponentHandler.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/RefinementHandler.html#createPCMSelectionDialog-java.lang.String-org.eclipse.ui.IWorkbenchWindow-org.eclipse.emf.common.util.EList-">createPCMSelectionDialog(String, IWorkbenchWindow, EList&lt;IFile&gt;)</a></span> - Static method in class refinement.handlers.<a href="../refinement/handlers/RefinementHandler.html" title="class in refinement.handlers">RefinementHandler</a></dt>
<dd>
<div class="block">Create ListSelectionDialog that contains PCM IFiles as selection options.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#createStringSelectionDialog-java.lang.String-java.lang.String-org.eclipse.ui.IWorkbenchWindow-org.eclipse.emf.common.util.EList-">createStringSelectionDialog(String, String, IWorkbenchWindow, EList&lt;String&gt;)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
